Skip to main content
Change the standard billing day of the month assigned to a subscription. Commonly referred to as the “anniversary day” or “billing day” - this value is an integer between 1 and 31 representing which day of the month is used for any recurring billing based on some number of months in term. While not meaningful for subscriptions whose plan includes daily, weekly, or mixed term period lengths, it is a useful predictor often shared with customers for monthly, quarterly, and annual plans (e.g. billed on the 1st of every month; billed on the 1st of January every year, etc.) This operation supports changing the billing day temporarily or permanently. Note: moving the billing day of an active subscription forward can have the effect of granting extra time as proration is not automatically added when the pre-paid billing period is extended. to_date to_day and by_days are mutually exclusive methods for moving a next billing day in conjunction with the option to make the change permanent (perm).

HTTP Request

POST https://api.vindicia.com/subscriptions/:subscription/billing_day_changes

Route (URL) Parameters

Query Parameters

Accepts

None.

Returns

JSON A full Subscription object representing the resulting changes. Parent topic:Subscriptions